import { get, put, post, deletes } from '@/http/index'

// 查询定检任务记录列表
export const getSmaskRecord = async (data) => {
  return await get('/als/smaskRecord/list', data)
}

// 新增定检任务记录
export const addSmaskRecord = async (data) => {
  return await post('/als/smaskRecord', data)
}

// 修改定检任务记录
export const updateSmaskRecord = async (data) => {
  return await put('/als/smaskRecord', data)
}

// 删除定检任务记录
export const removeSmaskRecord = async (id) => {
  return await deletes('/als/smaskRecord/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
